import Vue from 'vue';
// import store from '../store';

import {
  Button,
  Image,
  Icon,
  Cell,
  CellGroup,
  Radio,
  RadioGroup,
  Dialog,
  Popup,
  Overlay,
  Divider,
  Loading,
  Toast,
  NavBar,
  Field,
  Checkbox,
  List,
  Form,
  Sticky,
  Tab,
  Tabs,
  Empty,
  Swipe,
  SwipeItem,
  Search,
  Tabbar,
  TabbarItem,
  BackTop,
  Stepper,
  CouponList,
  Switch,
  Collapse,
  CollapseItem,
  Uploader,
  IndexList,
  IndexListItem,
  Tag,
  ActionSheet,
  Steps,
  Step,
  Notify,
  CountDown,
  PwdField,
  AuthcodeField,
  Skeleton,
  Card,
  Progress,
  GoodsAction,
  NoticeBar,
  SwipeCell,
  Grid,
  GridItem,
  ImagePreview,
  DropdownMenu,
  DropdownItem,
  Rate,
  PullRefresh,
  Col,
  Row
} from '@qg/cherry-ui';
import DialogFn from '@qg/cherry-ui/src/dialog/func';
// import "@qg/cherry-ui/dist/cherry.css";
Vue.use(NavBar);
Vue.use(Button);
Vue.use(Image);
Vue.use(Cell);
Vue.use(CellGroup);
Vue.use(Radio);
Vue.use(RadioGroup);
Vue.use(Popup);
Vue.use(Divider);
Vue.use(Toast);
Vue.use(Field);
Vue.use(Dialog);
Vue.use(Checkbox);
Vue.use(Form);
Vue.use(Icon);
Vue.use(Sticky);
Vue.use(Overlay);
Vue.use(Loading);
Vue.use(List);
Vue.use(Tab);
Vue.use(Tabs);
Vue.use(Empty);
Vue.use(Swipe);
Vue.use(SwipeItem);
Vue.use(Search);
Vue.use(Tabbar);
Vue.use(TabbarItem);
Vue.use(Stepper);
Vue.use(BackTop);
Vue.use(CouponList);
Vue.use(Switch);
Vue.use(Collapse);
Vue.use(CollapseItem);
Vue.use(Uploader);
Vue.use(IndexList);
Vue.use(IndexListItem);
Vue.use(Tag);
Vue.use(ActionSheet);
Vue.use(Steps);
Vue.use(Step);
Vue.use(Notify);
Vue.use(CountDown);
Vue.use(PwdField);
Vue.use(AuthcodeField);
Vue.use(Skeleton);
Vue.use(Card);
Vue.use(Progress);
Vue.use(GoodsAction);
Vue.use(NoticeBar);
Vue.use(SwipeCell);
Vue.use(Grid);
Vue.use(GridItem);
Vue.use(ImagePreview);
Vue.use(DropdownMenu);
Vue.use(DropdownItem);
Vue.use(Rate);
Vue.use(PullRefresh);
Vue.use(Col);
Vue.use(Row);

// const _proto = Vue.prototype;
// const proto = Object.create(_proto);
// proto.$notify = option => {
//   option.customClass = store.state.pay.header ? 'has-header' : '';
//   return _proto.$notify(option);
// };
// Vue.prototype = proto;

Vue.prototype.$dialog = DialogFn;
